Subject: [VRRP] Subsecond Timers - Adv Interval

From: [email-masked]
Date: Mon, 25 Aug 2003 09:07:41 +0300

Hi,

I propose following way to code the Advertisement Interval octet:

divide the octet in two parts : the first two bits are "divider" (in base 10) and the last 6 bits are the actual value.

00xxxxxx -> divide the x's by 10^0 (= 1)-> Adv Int  range is  0 ... 63sec, with sec granularity
01xxxxxx -> divide the x's by 10^1 (= 10) -> Adv Int range is 0 ... 6.3sec, with 100ms granularity
10xxxxxx -> divide the x's by 10^2 (=100) -> Adv Int range is 0 ... 0.63sec , with 10ms granularity
11xxxxxx -> divide the x's by 10^3 (=1000) -> Adv Int range is 0... 0.063sec , with 1ms granularity

With the above coding existing implementations will work, 
1) the adv interval is one octet
2) I think in the real life, longer than 60 sec adv interval is not used.

Milli second granularity is needed in the small time scales. 
When using long (e.g. 1sec) Adv Interval, the 1ms granularity is not needed. I would say 100ms is enough.

br esa

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp